Bug 331081 - Review Request: python-pp - Parallel execution of python on smp
Review Request: python-pp - Parallel execution of python on smp
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-13 21:09 EDT by Steve Milner
Modified: 2009-09-29 16:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4.5-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 15:46:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Milner 2007-10-13 21:09:19 EDT
Spec URL: http://stevemilner.org/tmp/python-pp.spec
SRPM URL: http://stevemilner.org/tmp/python-pp-1.4.5-1.fc7.src.rpm
Description: 
pp is a python module which provides mechanism for parallel execution of 
python code on SMP (systems with multiple processors or cores) and clusters
(computers connected via network).

[steve@psycho SPECS]$ rpmlint /home/steve/rpmbuild/RPMS/noarch/python-pp-1.4.5-1.fc7.noarch.rpm
[steve@psycho SPECS]$
Comment 1 Michel Alexandre Salim 2007-10-13 22:46:19 EDT
Two things:
- Files in %{_bindir} should not have .py extension, so that they won't be
byte-compiled. The byte-compiled files should be excluded:

http://fedoraproject.org/wiki/Packaging/Python

- The if-block you have in %install tried to move files from /usr/bin to
%{_bindir}, which in all Fedora/RHEL installs I've seen are the same place?
Comment 2 Steve Milner 2007-10-14 14:38:01 EDT
Updated ...

Spec URL: http://stevemilner.org/tmp/python-pp.spec
SRPM URL: http://stevemilner.org/tmp/python-pp-1.4.5-2.fc7.src.rpm

[steve@psycho SPECS]$ rpmlint
/home/steve/rpmbuild/RPMS/noarch/python-pp-1.4.5-2.fc7.noarch.rpm 
[steve@psycho SPECS]$ 

Comment 3 Steve Milner 2007-10-21 19:59:32 EDT
Is there anything else that needs updated?
Comment 4 Michel Alexandre Salim 2007-11-03 15:07:11 EDT
The following are unnecessary:
* -O1 flag for in %install (This is done automatically)
* Minimum version requirement (all current Fedora versions have Python >= 2.3)

(unless you're targeting RHEL 4 as well:
http://fedoraproject.org/wiki/Packaging/Python)

APPROVED
Comment 5 Michel Alexandre Salim 2007-11-13 03:04:36 EST
Ping?
Comment 6 Steve Milner 2007-11-14 22:04:07 EST
Sorry I got side tracked :-)
Comment 7 Steve Milner 2007-11-14 22:08:07 EST
New Package CVS Request
=======================
Package Name: python-pp
Short Description: pp is a python module which provides mechanism for parallel
execution of python code on SMP and clusters.
Owners: smilner
Branches: F-7 F-8 EL-5
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-11-15 12:14:07 EST
cvs done.
Comment 9 Michel Alexandre Salim 2007-11-18 13:28:41 EST
Steve, have you gone to the Fedora Update System and push the builds for Fedora
7 and 8? They are still not showing up:

https://admin.fedoraproject.org/updates/search/python-pp

You can toggle the switch so that this bug entry is automatically closed when
the Fedora 8 package is marked stable.
Comment 10 Steve Milner 2007-11-22 22:14:35 EST
They are now listed. Thanks for the tip about automatically closing ... I didn't
notice that in the past :-).
Comment 11 Fedora Update System 2007-11-26 13:50:59 EST
python-pp-1.4.5-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-pp'
Comment 12 Fedora Update System 2007-12-06 15:46:42 EST
python-pp-1.4.5-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Steve Milner 2009-09-29 15:13:34 EDT
Package Change Request
======================
Package Name: python-pp
New Branches: EL-4
Owners: smilner
Comment 14 Kevin Fenzi 2009-09-29 16:27:00 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.